ParserUtils (Tomcat API Documentation)
Keywords: org.apache.jasper.xmlparser.ParserUtils class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.xmlparser
Class ParserUtils

    java.lang.Object
      org.apache.jasper.xmlparser.ParserUtils

    public class ParserUtils

extends java.lang.Object

XML parsing utilities for processing web application deployment descriptor and tag library descriptor files. FIXME - make these use a separate class loader for the parser to be used.

Version:
  $Revision: 595799 $ $Date: 2007-11-16 21:02:12 +0100 (Fri, 16 Nov 2007) $
Author:
  Craig R. McClanahan

Field Summary
`static boolean` | `validating`

Constructor Summary
`ParserUtils()`

Method Summary
`protected TreeNode` | `convert(TreeNode parent, org.w3c.dom.Node node)` Create and return a TreeNode that corresponds to the specified Node, including processing all of the attributes and children nodes.
`TreeNode` | `parseXMLDocument(java.lang.String uri, org.xml.sax.InputSource is)` Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.
`TreeNode` | `parseXMLDocument(java.lang.String uri, java.io.InputStream is)` Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### validating

    public static boolean validating

Constructor Detail

### ParserUtils

    public ParserUtils()

Method Detail

### parseXMLDocument

    public TreeNode parseXMLDocument(java.lang.String uri,
                                     org.xml.sax.InputSource is)
                              throws JasperException

  Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

  Parameters:
    `uri` - URI of the XML document being parsed
    `is` - Input source containing the deployment descriptor
  Throws:
    `JasperException` - if an input/output error occurs
    `JasperException` - if a parsing error occurs

### parseXMLDocument

    public TreeNode parseXMLDocument(java.lang.String uri,
                                     java.io.InputStream is)
                              throws JasperException

  Parse the specified XML document, and return a `TreeNode` that corresponds to the root node of the document tree.

  Parameters:
    `uri` - URI of the XML document being parsed
    `is` - Input stream containing the deployment descriptor
  Throws:
    `JasperException` - if an input/output error occurs
    `JasperException` - if a parsing error occurs

### convert

    protected TreeNode convert(TreeNode parent,
                               org.w3c.dom.Node node)

  Create and return a TreeNode that corresponds to the specified Node, including processing all of the attributes and children nodes.

  Parameters:
    `parent` - The parent TreeNode (if any) for the new TreeNode
    `node` - The XML document Node to be converted

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.